Robotsystem of the Robot Group Leipzig: ForcedSphere Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ForcedSphere Class Reference

`#include <forcedsphere.h>`

Inherits OdeRobot.

Inheritance diagram for ForcedSphere:

[legend]
Collaboration diagram for ForcedSphere:

[legend]
List of all members.

## Public Types
| X = 1
| Y = 2
| Z = 4
enum | Dimensions { X = 1, Y = 2, Z = 4 }
## Public Member Functions
| ForcedSphere (const OdeHandle &odeHandle, const OsgHandle &osgHandle, const ForcedSphereConf &ForcedSphereConf, const std::string &name)
| constructor
virtual | ~ForcedSphere ()
virtual void | update ()
| update the OSG notes here
virtual void | place (const osg::Matrix &pose)
| sets the pose of the vehicle
virtual bool | collisionCallback (void *data, dGeomID o1, dGeomID o2)
virtual void | doInternalStuff (GlobalData &globalData)
| this function is called in each timestep after control.
virtual int | getSensors (sensor *sensors, int sensornumber)
| returns actual sensorvalues
virtual void | setMotors (const motor *motors, int motornumber)
| sets actual motorcommands
virtual int | getMotorNumber ()
| returns number of motors
virtual int | getSensorNumber ()
| returns number of sensors
virtual Primitive * | getMainPrimitive () const
| return the primitive of the robot that is used for tracking and camera following
## Static Public Member Functions
static ForcedSphereConf | getDefaultConf ()
## Protected Member Functions
virtual void | create (const osg::Matrix &pose)
virtual void | destroy ()
## Protected Attributes
Primitive * | object [1]
bool | created
ForcedSphereConf | conf

## Member Enumeration Documentation

enum Dimensions

Enumerator:

  X |
  Y |
  Z |

## Constructor & Destructor Documentation

ForcedSphere | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | const ForcedSphereConf & | ForcedSphereConf,
|  | const std::string & | name |
| ) |  |  |

constructor

use getDefaultConf() to obtain a configuration with default values, which can be altered to personal needs.

~ForcedSphere | ( |  | ) | `[virtual]`

## Member Function Documentation

bool collisionCallback | ( | void * | data,
|  | dGeomID | o1,
|  | dGeomID | o2 |
| ) |  |  | `[virtual]`

Deprecated:
  Do not use it anymore, collision control is done automatically. In case of a treatment return true (collision will be ignored by other objects and the default routine) else false (collision is passed to other objects and (if not treated) to the default routine).

Reimplemented from OdeRobot.

void create | ( | const osg::Matrix & | pose | ) | `[protected, virtual]`

void destroy | ( |  | ) | `[protected, virtual]`

void doInternalStuff | ( | GlobalData & | globalData | ) | `[virtual]`

this function is called in each timestep after control.

It should perform robot-internal checks and actions, like acting and sensing of internal motors/sensors etc.

Parameters:

  | globalData | structure that contains global data from the simulation environment

Implements OdeRobot.

static ForcedSphereConf getDefaultConf | ( |  | ) | `[inline, static]`

virtual Primitive* getMainPrimitive | ( |  | ) | const`[inline, virtual]`

return the primitive of the robot that is used for tracking and camera following

Implements OdeRobot.

int getMotorNumber | ( |  | ) | `[virtual]`

returns number of motors

Implements AbstractRobot.

int getSensorNumber | ( |  | ) | `[virtual]`

returns number of sensors

Implements AbstractRobot.

int getSensors | ( | sensor * | sensors,
|  | int | sensornumber |
| ) |  |  | `[virtual]`

returns actual sensorvalues

Parameters:

  | sensors | sensors scaled to [-1,1]
  | sensornumber | length of the sensor array

Returns:
  number of actually written sensors

Implements AbstractRobot.

void place | ( | const osg::Matrix & | pose | ) | `[virtual]`

sets the pose of the vehicle

Parameters:

  | pose | desired 4x4 pose matrix

Implements OdeRobot.

void setMotors | ( | const motor * | motors,
|  | int | motornumber |
| ) |  |  | `[virtual]`

sets actual motorcommands

Parameters:

  | motors | motors scaled to [-1,1]
  | motornumber | length of the motor array

Implements AbstractRobot.

void update | ( |  | ) | `[virtual]`

update the OSG notes here

Implements OdeRobot.

## Member Data Documentation

ForcedSphereConf conf`[protected]`

bool created`[protected]`

Primitive* object[1]`[protected]`

The documentation for this class was generated from the following files:

- forcedsphere.h
- forcedsphere.cpp